/*      STRUCTURE GATAN HEADER
 *
 *
 *      for DigitalMicrograph version 2.0
 *
 *      J. Brink
 *      W.M. Keck Centre for Computational Biology
 *      Department of Biochemistry
 *      Baylor College of Medicine
 *      1 Baylor Plaza
 *      Houston, TX 77030 U.S.A.
 *
 */

struct gatan {

  short int in0;       /* tag                                    */ 
  long  long1;         /* length of tag                          */
  long  long2;         /* minimal version number for DM; !> 200  */
  short int in1;       /* unknown                                */ 
  short int in2;       /* unknown                                */ 
  short int nx;        /* # of pixels in X                       */
  short int ny;        /* # of pixels in Y                       */ 
  short int nbytes;    /* # of bytes per pixel:
			    1 per pixel for BYTE data
			    2 per pixel for SHORT INTEGER data
			    4 per pixel for FLOAT and LONG data;

			    see pg. 33 of manual                 */      

  short int ntype;     /* type of encoded data;
			    1 == 2 byte sighed integer (short)
			    2 == floating point IEEE standard 754
			    3 == complex, 2 floats (real,imag)
			    5 == packed complex
			    6 == 1 byte signed integer (byte)
			    7 == 4 byte signed integer (long);

			    see pg. 34 of manual                 */
};
